vpx_rc_config Struct Reference

Encode config sent to external rate control model. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields

int | frame_width
int | frame_height
int | show_frame_count
int | max_gf_interval
int | min_gf_interval
int | target_bitrate_kbps
int | frame_rate_num
int | frame_rate_den
vpx_ext_rc_mode_t | rc_mode
int | overshoot_percent
int | undershoot_percent
int | min_base_q_index
int | max_base_q_index
int | base_qp

## Detailed Description

Encode config sent to external rate control model.

## Field Documentation

## frame_width

int vpx_rc_config::frame_width

frame width

## frame_height

int vpx_rc_config::frame_height

frame height

## show_frame_count

int vpx_rc_config::show_frame_count

number of visible frames in the video

## max_gf_interval

int vpx_rc_config::max_gf_interval

max GOP size in number of show frames

## min_gf_interval

int vpx_rc_config::min_gf_interval

min GOP size in number of show frames

## target_bitrate_kbps

int vpx_rc_config::target_bitrate_kbps

Target bitrate in kilobytes per second

## frame_rate_num

int vpx_rc_config::frame_rate_num

numerator of frame rate

## frame_rate_den

int vpx_rc_config::frame_rate_den

denominator of frame rate

## rc_mode

vpx_ext_rc_mode_t vpx_rc_config::rc_mode

The following fields are only for external rate control models that support different rate control modes. Q mode or VBR mode

## overshoot_percent

int vpx_rc_config::overshoot_percent

for VBR mode only

## undershoot_percent

int vpx_rc_config::undershoot_percent

for VBR mode only

## min_base_q_index

int vpx_rc_config::min_base_q_index

for VBR mode only

## max_base_q_index

int vpx_rc_config::max_base_q_index

for VBR mode only

## base_qp

int vpx_rc_config::base_qp

base QP for leaf frames, 0-255

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h